## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - n -

- Name() : iAwsKey, iEvent, SYMBOL_INFOW, SYMBOL_INFO, csObject, csCommandLineOption
- NameChanged() : iObjectNameChangeListener
- NameToId() : iAwsPrefManager
- Negate() : csQuaternion
- New() : iSharedVariableList
- NewCameraPosition() : iCameraPositionList
- NewCollection() : iCollectionList
- NewEvent() : csCommandEventHelper, csJoystickEventHelper, csMouseEventHelper
- NewFactory() : iTextureType, iMeshObjectType, iRenderStepType, csMeshType
- NewFile() : csArchive
- NewInstance() : iMeshObjectFactory, csMeshFactory
- NewMaterial() : iMaterialList
- NewMesh() : iSectorMeshCallback
- NewObject() : iScript
- NewSector() : iEngineSectorCallback, iCameraSectorListener
- NewSequence() : iSequenceManager
- NewShadowBlock() : iShadowBlockList
- NewTexture() : iTextureList
- NewTraversal() : csKDTree
- Next() : iReporterIterator, iPluginIterator, iObjectRegistryIterator, iObjectIterator, iEventAttributeIterator, iDocumentNodeIterator, iDocumentAttributeIterator, iConfigIterator, iVisibilityObjectIterator, iShadowIterator, iSectorIterator, iMeshWrapperIterator, iLightIterator, csWin32RegistryIterator, csSet< T >::GlobalIterator, csTypedObjectIterator< T >, csList< T >::Iterator, csHash< T, K >::GlobalIterator, csHash< T, K >::Iterator, CrystalSpace::DocumentHelper::Implementation::FilterDocumentNodeIterator< T >, csEmptyDocumentAttributeIterator, csEmptyDocumentNodeIterator, csEventTree::SubscriberIterator, csEventAttributeIterator, csArray< T, ElementHandler, MemoryAllocator >::Iterator, iUserRenderBufferIterator, csNodeIterator
- NextFrame() : iMeshObject, csMeshObject, csNewParticleSystem, csParticleSystem
- NextNoAdvance() : csHash< T, K >::GlobalIterator
- NextNode() : csNodeIterator
- Node() : csRedBlackTree< K >::Node, csPartialOrder< T >::Node
- NodeAttributeCompare() : CrystalSpace::DocumentHelper::NodeAttributeCompare
- NodeAttributeRegexpTest() : CrystalSpace::DocumentHelper::NodeAttributeRegexpTest
- NodeAttributeValueTest() : CrystalSpace::DocumentHelper::NodeAttributeValueTest
- NodeValueTest() : CrystalSpace::DocumentHelper::NodeValueTest
- Norm() : csVector4T< T >, csVector3, csVector2, csDVector3
- Normal() : csPlane3, csPlane2, csDPlane
- Normalize() : csVector4T< T >, csVector3, csQuaternion, csPlane3, csPlane2, csDPlane, csDVector3, csRect
- Notify() : csEventTree